Package com.io7m.jregions.core.conversions

# Class AreaConversions

java.lang.Object
com.io7m.jregions.core.conversions.AreaConversions

    public final class AreaConversions
    extends java.lang.Object

Functions to convert between area types.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static <S> AreaBD` | `toAreaBD​(PAreaBD<S> a)` | Convert an area.
  `static <S> AreaBI` | `toAreaBI​(PAreaBI<S> a)` | Convert an area.
  `static <S> AreaD` | `toAreaD​(PAreaD<S> a)` | Convert an area.
  `static <S> AreaF` | `toAreaF​(PAreaF<S> a)` | Convert an area.
  `static <S> AreaI` | `toAreaI​(PAreaI<S> a)` | Convert an area.
  `static <S> AreaL` | `toAreaL​(PAreaL<S> a)` | Convert an area.
  `static <S> PAreaBD<S>` | `toPAreaBD​(AreaBD a)` | Convert an area.
  `static <S> PAreaBI<S>` | `toPAreaBI​(AreaBI a)` | Convert an area.
  `static <S> PAreaD<S>` | `toPAreaD​(AreaD a)` | Convert an area.
  `static <S> PAreaF<S>` | `toPAreaF​(AreaF a)` | Convert an area.
  `static <S> PAreaI<S>` | `toPAreaI​(AreaI a)` | Convert an area.
  `static <S> PAreaL<S>` | `toPAreaL​(AreaL a)` | Convert an area.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### toAreaI

    public static <S> AreaI toAreaI​(PAreaI<S> a)
    Convert an area.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area
    Parameters:
      `a` - The area
    Returns:
      An area

  - ### toAreaL

    public static <S> AreaL toAreaL​(PAreaL<S> a)
    Convert an area.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area
    Parameters:
      `a` - The area
    Returns:
      An area

  - ### toAreaD

    public static <S> AreaD toAreaD​(PAreaD<S> a)
    Convert an area.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area
    Parameters:
      `a` - The area
    Returns:
      An area

  - ### toAreaF

    public static <S> AreaF toAreaF​(PAreaF<S> a)
    Convert an area.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area
    Parameters:
      `a` - The area
    Returns:
      An area

  - ### toAreaBD

    public static <S> AreaBD toAreaBD​(PAreaBD<S> a)
    Convert an area.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area
    Parameters:
      `a` - The area
    Returns:
      An area

  - ### toAreaBI

    public static <S> AreaBI toAreaBI​(PAreaBI<S> a)
    Convert an area.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area
    Parameters:
      `a` - The area
    Returns:
      An area

  - ### toPAreaI

    public static <S> PAreaI<S> toPAreaI​(AreaI a)
    Convert an area.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area
    Parameters:
      `a` - The area
    Returns:
      An area

  - ### toPAreaL

    public static <S> PAreaL<S> toPAreaL​(AreaL a)
    Convert an area.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area
    Parameters:
      `a` - The area
    Returns:
      An area

  - ### toPAreaD

    public static <S> PAreaD<S> toPAreaD​(AreaD a)
    Convert an area.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area
    Parameters:
      `a` - The area
    Returns:
      An area

  - ### toPAreaF

    public static <S> PAreaF<S> toPAreaF​(AreaF a)
    Convert an area.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area
    Parameters:
      `a` - The area
    Returns:
      An area

  - ### toPAreaBD

    public static <S> PAreaBD<S> toPAreaBD​(AreaBD a)
    Convert an area.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area
    Parameters:
      `a` - The area
    Returns:
      An area

  - ### toPAreaBI

    public static <S> PAreaBI<S> toPAreaBI​(AreaBI a)
    Convert an area.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area
    Parameters:
      `a` - The area
    Returns:
      An area